1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Can't see PHP5 version (Not installed).

Discussion in 'Plesk 9.x for Windows Issue, Fixes, How-To' started by Jorge Padrón, Jan 16, 2011.

  1. Plesk Panel 9.01 build 20090128.13, Windows 2008 Web Ed. SP2 64b

    Hi,

    Recently, when I've went to create a new hosting, I realize that php5 is not available in plesk. I can't switch between php versions since 4.4.7 it's the only that I can see (There's no combo to select version). I can create sites with php5 support manually, but not with panel.

    Then, when I go to PHP Adjustments inside domain's panel, I obtain a notice and no php version:

    Notice: Undefined index: 5 in C:\SWsoft\Plesk\admin\plib\ui_common\PHPUIPointer.php on line 120

    Anybody with similar issue?

    Thanks in advance.
    Jorge
     

    Attached Files:

    • 1.png
      1.png
      File size:
      2.4 KB
      Views:
      9
    • 2.png
      2.png
      File size:
      4.1 KB
      Views:
      5
    • 3.png
      3.png
      File size:
      3.6 KB
      Views:
      10
  2. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,576
    Likes Received:
    1,243
    Location:
    Novosibirsk, Russia
    Did you try to Refresh Server Components? What is status of PHP5 there?
     
  3. Yes, I've tried. Not success...

    Thank you.
     
  4. > What is status of PHP5 there?

    There is no PHP5 version there, as you can see in the attached images in the first mail.
     
  5. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,576
    Likes Received:
    1,243
    Location:
    Novosibirsk, Russia
  6. Thanks Igor for your attention.

    Now, I've done the procedure you recommended. But, in order, to be sure (because I already can't see PHP5 in the panel), which permissions must php.ini have?

    See attached image to see php.ini permissions.

    Thanks in advance
     

    Attached Files:

  7. Any news on this issue? Can't see PHP5 already.

    Thank you
     
  8. Nevermind... I've downloaded 9.0.1 version, decompress exe (using rar) and obtain all the msi packages I need in a directory.

    Through control panel, I've uninstalled PHP 5 (Scripting language group) and reinstall again. Now I can see PHP 5.2.6 in Components, even refreshing all the packages.

    Thanks
     
Loading...